aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHorea Christian <horea.christ@yandex.com>2018-08-20 00:23:11 +0200
committerHorea Christian <horea.christ@yandex.com>2018-08-20 00:23:11 +0200
commite1d64388e03e18ab8fefa06031c7e75956108004 (patch)
tree0fc3aac72c77a42846abb90bf53e26ec3b29e1a6 /scripts/lapack-migration.sh
parentDistributing LAPACK migration files alongside overlay (diff)
downloadsci-e1d64388e03e18ab8fefa06031c7e75956108004.tar.gz
sci-e1d64388e03e18ab8fefa06031c7e75956108004.tar.bz2
sci-e1d64388e03e18ab8fefa06031c7e75956108004.zip
corrected path
Diffstat (limited to 'scripts/lapack-migration.sh')
-rw-r--r--scripts/lapack-migration.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/scripts/lapack-migration.sh b/scripts/lapack-migration.sh
new file mode 100644
index 000000000..2e6624ada
--- /dev/null
+++ b/scripts/lapack-migration.sh
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+set -e
+
+EPREFIX=${1}
+
+#Link to the workaroud we reproduce in this section : https://wiki.gentoo.org/wiki/User_talk:Houseofsuns#Migration_to_science_overlay_from_main_tree
+#Efforts to more permanently address the issue: https://github.com/gentoo/sci/issues/805
+echo ""
+echo "Setting Up Eselect for Gentoo Science:"
+echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
+cp "sci-lapack" "${EPREFIX}/etc/portage/package.mask/"
+emerge --oneshot --verbose dev-util/cmake >> /dev/null
+emerge --oneshot --verbose app-admin/eselect::science >> /dev/null
+FEATURES="-preserve-libs":$FEATURES emerge --oneshot --verbose sci-libs/blas-reference::science
+eselect blas set reference
+FEATURES="-preserve-libs":$FEATURES emerge --oneshot --verbose sci-libs/cblas-reference::science
+eselect cblas set reference
+FEATURES="-preserve-libs":$FEATURES emerge --oneshot --verbose sci-libs/lapack-reference::science
+eselect lapack set reference
+FEATURES="-preserve-libs":$FEATURES emerge --oneshot --verbose --exclude sci-libs/blas-reference --exclude sci-libs/cblas-reference --exclude sci-libs/lapack-reference `eix --only-names --installed --in-overlay science`
+
+emerge -1qv @preserved-rebuild